Loading...
Searching...
No Matches
ClampUnsafeAccesses.h File Reference

Defines the clamp_unsafe_accesses lowering pass. More...

`#include "Bounds.h"`
`#include "Expr.h"`
`#include "Function.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::clamp_unsafe_accesses (const Stmt &s, const std::map< std::string, Function > &env, FuncValueBounds &func_bounds)
| Inject clamps around func calls h(...) when all the following conditions hold:

## Detailed Description

Defines the clamp_unsafe_accesses lowering pass.

Definition in file ClampUnsafeAccesses.h.